Update start.sh

This commit is contained in:
MarkusMcNugen 2018-02-04 22:58:38 -05:00 committed by GitHub
parent 49e1b2f3af
commit 34828666a0
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

View File

@ -1,6 +1,24 @@
#!/bin/bash
set -e
_handler() {
echo "[warn] Shutdown detected... cleaning up real quick!" | ts '%Y-%m-%d %H:%M:%.S'
# if config directory exists, apply permissions before exiting
qbpid=$(pgrep -o -x qbittorrent-nox)
if [[ ! -z $qbpid ]]; then
echo "[warn] qBittorrent still running... shutting down now" | ts '%Y-%m-%d %H:%M:%.S'
kill -9 $qbpid
fi
if [[ -e /config/qBittorrent ]]; then
echo "[info] qBittorrent directory exists in /config, applying ownership and permissions before exit" | ts '%Y-%m-%d %H:%M:%.S'
chmod -R 755 /config/qBittorrent
chown -R $PUID:$PGID /config/qBittorrent
fi
}
trap _handler SIGINT SIGTERM SIGHUP
if [[ ! -e /config/qBittorrent ]]; then
mkdir -p /config/qBittorrent/config/
chown -R ${PUID}:${PGID} /config/qBittorrent
@ -18,11 +36,12 @@ echo "[info] Starting qBittorrent daemon..." | ts '%Y-%m-%d %H:%M:%.S'
chmod -R 755 /config/qBittorrent
sleep 1
child=$(pgrep -o -x qbittorrent-nox)
echo "[info] qBittorrent PID: $child" | ts '%Y-%m-%d %H:%M:%.S'
if [ -e /proc/$child ]; then
sleep infinity
this=$(echo $$)
wait "$this"
else
echo "qBittorrent failed to start!"
echo "qBittorrent failed to start!" || exit 2
fi